summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorbill-auger <mr.j.spam.me@gmail.com>2022-01-24 18:21:17 -0500
committerbill-auger <mr.j.spam.me@gmail.com>2022-01-28 11:07:07 -0500
commit4e102238c4f6fd09523660576fddfbf04e18ef21 (patch)
tree75bbacc791101f77d92e92ef35ace7d6a2ba8b5f
parent987e263ba350e20dd990ac6a6d4e15c044f99862 (diff)
add remote pbot-say scriptwip-pbot-announce
-rwxr-xr-xsrc/maintenance-tools/pbot-sshay42
1 files changed, 42 insertions, 0 deletions
diff --git a/src/maintenance-tools/pbot-sshay b/src/maintenance-tools/pbot-sshay
new file mode 100755
index 0000000..1a7080a
--- /dev/null
+++ b/src/maintenance-tools/pbot-sshay
@@ -0,0 +1,42 @@
+#!/usr/bin/env bash
+
+# pbot-sshay - make pbot say something, remotely
+# USAGE: pbot-sshay some thing
+#
+# Copyright (C) 2022 bill-auger <bill-auger@programmer.net>
+#
+# License: GNU GPLv3+
+#
+# This file is part of Parabola Libretools.
+#
+# Parabola is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+#
+# Parabola is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with Parabola. If not, see <http://www.gnu.org/licenses/>.
+#
+#
+# This script assumes that $REPOUSER has local SSH credentials for the pbot server
+#
+
+
+readonly PBOTSAY_FMT="which pbot-say && pbot-say %s"
+readonly TIER0_PORT=1863
+readonly TIER0_HOST=winston.parabola.nu
+
+readonly PBOTSAY_MSG="$(echo "$@")"
+readonly PBOTSAY_CMD="$(printf "${PBOTSAY_FMT}" "${PBOTSAY_MSG}")"
+
+source "$(librelib conf)" # REPOUSER
+
+
+[[ -n "${REPOUSER}" && -n "${PBOTSAY_MSG}" ]] || exit
+
+ssh -p ${TIER0_PORT} "${REPOUSER}@${TIER0_HOST}" "${PBOTSAY_CMD}" &> /dev/null || :